# Textadept

## Overview

Textadept is a fast, minimalist, and ridiculously extensible cross-platform text
editor for programmers. Written in a combination of C and [Lua][] and
relentlessly optimized for speed and minimalism over the years, Textadept is an
ideal editor for programmers who want endless extensibility options without
sacrificing speed or succumbing to code bloat and featuritis.

[Lua]: http://lua.org

## Features

* Self-contained executable -- no installation necessary.
* Entirely keyboard driven.
* Unlimited split views.
* Support for over 80 programming languages.
* Powerful snippets and key commands.
* Code autocompletion and API lookup.
* Unparalleled extensibility.

## Requirements

In its bid for minimalism, Textadept has no dependencies on Windows and Mac OSX
operating systems and depends only on [GTK+ 2.0][] version 2.16 or greater on
Linux. Lua is pre-compiled into Textadept on all platforms and a GTK runtime is
included on Windows and Mac OSX.

[GTK+ 2.0]: http://gtk.org

## Download

Download Textadept from the [project page][].

[project page]: http://foicica.com/textadept

## Installation and Usage

Textadept comes with a comprehensive manual and API documentation in the `doc/`
directory. They are also available [online][].

[online]: http://foicica.com/textadept

## Contact

Contact me by email: mitchell.att.foicica.com.

There is also a [mailing list][].

[mailing list]: http://foicica.com/lists

## Donate

Your donations are very much appreciated and go towards web server maintainence
and hosting for Textadept, its source code repository, mailing list, etc.

<form action="https://www.paypal.com/cgi-bin/webscr" method="post">
<input type="hidden" name="cmd" value="_s-xclick">
<input type="hidden" name="hosted_button_id" value="3165962">
<input type="image" src="https://www.paypal.com/en_US/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="">
<img alt="Donate" border="0" src="https://www.paypal.com/en_US/i/scr/pixel.gif" width="1" height="1">
</form>
