# GCocoaDialog

## Overview

GCocoaDialog is a cross-platform [cocoaDialog][] clone written in [GTK+ 2.0][].
You can use it as either a command-line program for shell scripts or C library
for applications to easily create interactive dialogs for file selection, text
input, yes/no confirmations, lists and more.

[cocoaDialog]: http://cocoadialog.sf.net
[GTK+ 2.0]: http://gtk.org

## Features

* Cross-platform -- runs on Linux, Windows, and Mac OSX.
* Command-line program or C library for easily creating:
  + Messageboxes
  + Inputboxes
  + File selection
  + Textboxes
  + Progressbars
  + Dropdown lists
  + Filtered lists
* No knowledge of GTK required.
* Command-line program is scripting language-agnostic.

## Requirements

GCocoaDialog only requires GTK+ version 2.16 or higher.

## Download

Download GCocoaDialog from the [project page][].

[project page]: http://foicica.com/gcocoadialog

## Installation and Usage

GCocoaDialog comes with a manual and API documentation in the `doc/` directory.
They are also available [online][].

[online]: http://foicica.com/gcocoadialog

## Contact

Contact me by email: mitchell.att.foicica.com.

There is also a [mailing list][].

[mailing list]: http://foicica.com/lists

## Donate

Your donations are very much appreciated and go towards web server maintainence
and hosting for GCocoaDialog, its source code repository, mailing list, etc.

<form action="https://www.paypal.com/cgi-bin/webscr" method="post">
<input type="hidden" name="cmd" value="_s-xclick">
<input type="hidden" name="hosted_button_id" value="3165962">
<input type="image" src="https://www.paypal.com/en_US/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="">
<img alt="Donate" border="0" src="https://www.paypal.com/en_US/i/scr/pixel.gif" width="1" height="1">
</form>
